# ``twisted`.`logger`.`ILogFilterPredicate``

interface documentation

`class ILogFilterPredicate(Interface): (source)`

Known implementations: `twisted.logger.LogLevelFilterPredicate`

View In Hierarchy

A predicate that determined whether an event should be logged.

Method | `__call__` | Determine whether an event should be logged.

def __call__(event): (source)
Determine whether an event should be logged.

Parameters
event:`LogEvent` | Undocumented
Returns
`NamedConstant` | a `PredicateResult`.